Subject: Re: [PATCH 1/3] Prepare for non-interactive merge-preserving rebase

From: Johannes Sixt <[email-masked]>
Date: Wed, 24 Sep 2008 08:17:10 +0200

SZEDER Gábor schrieb:
>   -A---B      master
>     \
>      C---M    topic
>       \ /
>        D
...
> If I now execute 'git rebase -p master topic', I get the following:
> 
>   -A---B            master
>     \   \
>      \   C'---M'    topic
>       \      /
>        C----D
> 
> But I would rather like to have the following:
> 
>   -A---B            master
>         \
>          C'---M'    topic
>           \  /
>            D'
> 
> Would such a behaviour possible at all?

I think that rebase -i -p was meant to deal only with the situation where
the merged-in branch is from outside the topic branch. What you want is
called "git-sequencer". Search the archives.

-- Hannes